Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.txn
Class Transactions.SimpleTransaction

    java.lang.Object
      org.modeshape.jcr.txn.Transactions.BaseTransaction
          org.modeshape.jcr.txn.Transactions.SimpleTransaction

All Implemented Interfaces:
  SessionEnvironment.MonitorFactory, Transactions.Transaction

Enclosing class:
  Transactions

    protected class Transactions.SimpleTransaction

extends Transactions.BaseTransaction

Field Summary

Fields inherited from class org.modeshape.jcr.txn.Transactions.BaseTransaction
`txnMgr`

Constructor Summary
`protected` | `Transactions.SimpleTransaction(TransactionManager txnMgr)`

Method Summary
`void` | `commit()` Commit the transaction currently associated with the calling thread.
`void` | `rollback()` Rolls back the transaction currently associated with the calling thread.

Methods inherited from class org.modeshape.jcr.txn.Transactions.BaseTransaction
`createMonitor, executeFunctions, uponCompletion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transactions.SimpleTransaction

    protected Transactions.SimpleTransaction(TransactionManager txnMgr)

Method Detail

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

  Description copied from interface: `Transactions.Transaction`
  Rolls back the transaction currently associated with the calling thread.

  Throws:
    `IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the calling thread is not associated with a transaction, or because it is in the `prepared state`.
    `SecurityException` - If the caller is not allowed to roll back this transaction.
    `SystemException` - If the transaction service fails in an unexpected way.

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       IllegalStateException,
                       SystemException

  Description copied from interface: `Transactions.Transaction`
  Commit the transaction currently associated with the calling thread.

  Throws:
    `RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
    `HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
    `HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
    `SecurityException` - If the caller is not allowed to commit this transaction.
    `IllegalStateException` - If the calling thread is not associated with a transaction.
    `SystemException` - If the transaction service fails in an unexpected way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.